<?php
session_start();

require('fpdf.php');
include($_SERVER[DOCUMENT_ROOT].'/kernel/conecta.php');
// include($_SERVER[DOCUMENT_ROOT].'/kernel/pdv/pdv_funcoes.php');

$sql = selecionar('caixa,user.pdv','caix_tx_status',"!inativo"," AND caix_nb_pdv = pdv_nb_id AND caix_nb_id = '$_GET[id_caixa]' ORDER BY caix_nb_id DESC LIMIT 1");
if( num_linhas($sql) == 0 ) {
	echo "ERRO: Nenhum caixa!";
}

$a = carrega_array($sql);

define(PASTA_LOCAL,$_SERVER[DOCUMENT_ROOT].$CACTUX_CONF['path']);

//$arquivo_pdf = PASTA_LOCAL.'/impressao/conteudo_imprimir.pdf';

// VERIFICA O ID DO USUARIO QUE IMPRIMIU PARA MANTER A FILA DE IMPRESSAO
if( $_SESSION[user_nb_id] == '' )	$ID_USER = rand(1000,9999); else	$ID_USER = $_SESSION[user_nb_id];

$arquivo_pdf = PASTA_LOCAL.'/impressao/conteudo_imprimir_'.$_GET[impressora].'_'.$ID_USER.'.pdf';


// INICIA A CRIAÇÃO DO PDF
$pdf = new FPDF("P","mm",array($CONFIGURA[LARGURA_IMPRESSAO],$CONFIGURA[ALTURA_IMPRESSAO]));
$pdf->SetMargins($CONFIGURA[MARGEM_ESQUERDA],$CONFIGURA[MARGEM_TOPO],$CONFIGURA[MARGEM_DIREITA]);
$pdf->AddPage();

$pdf->SetFont('arial','',7);

$pdf->Cell(0,3,$CONFIGURA[NOME_IMPRESSAO],0,1,'C');
$pdf->Cell(0,3,$CONFIGURA[CNPJ_IMPRESSAO],0,1,'C');
$pdf->Cell(0,3,$CONFIGURA[ENDERECO_IMPRESSAO],0,1,'C');
if ($CONFIGURA[COMPLEMENTO_IMPRESSAO]!='') {
	$pdf->Cell(0,3,$CONFIGURA[COMPLEMENTO_IMPRESSAO],0,1,'C');
}
$pdf->Cell(0,3,$CONFIGURA[CEP_IMPRESSAO],0,1,'C');
$pdf->Ln(10);


$pdf->SetFont('arial','B',11);
$pdf->Cell(0,3,'ABERTURA DE CAIXA - '.$a[pdv_tx_nome],0,1,"C");
$pdf->Ln(15);

$pdf->SetFont('Courier','',9);
$pdf->Cell(40,3,'ABERTURA',0,0,"L");
$pdf->Cell(30,3,'R$ '.mostra_valor($a[caix_tx_valorInicial])." ",0,1,"R");
$pdf->Ln(30);



$pdf->SetFont('arial','B',10);
$pdf->Cell(0,2,'SISTEMAS CACTUS',0,1,"C");
$pdf->Ln(2);


$pdf->SetFont('arial','',9);
$pdf->Cell(0,3,"Data ".data($a[caix_tx_data],3),0,1,"C");
$pdf->Cell(0,3,"Usuário: ".$a[user_tx_login],0,1,"C");


// GERA O ARQUIVO PDF
$pdf->Output($arquivo_pdf,'F');
// $pdf->Output();

$id_impressora = id_impressora();

bat_imprime($arquivo_pdf,$id_impressora);

